/* $Id: constants.cpp,v 1.29 2005/04/20 09:21:17 uwe Exp $ */

#include  "constants.hpp"

/**********************************************************/

// string-IDs of the objects
// The order must be identical to the one of the corresponding
// enumeration constants in constants.hpp
const char* const ObjectIDString[NUMBER_OF_OBJECT_IDs+1] =
{
	// no string for ID NON_VALID_OBJECT, since it has ID -1
	//
	// avatars
	"AVATAR_WORM",
	// collidable objects
	"BALL",
	"GRENADE",
	"MINE",
	"MISSILE",
	"HOMING_MISSILE",
	"HOOK",
	// -> bonus objects (also collidable)
	"BONUS_HEALTH",
	"BONUS_SHIELD",
	"BONUS_INVISIBLE",
	"BONUS_FUEL",
	"BONUS_HOMING_VIRUS",
	// noncollidable objects
	"EXPLOSION_15",
	"EXPLOSION_40",
	"EXPLOSION_60",
	"EXPLOSION_80",
	"SMOKE_15",
	"SMOKE_30",
	"BLUEGLOW_25",
	"GOAL_50",
	"SHIELD_CORONA",
	"INVISIBLE_CORONA",
	"ROPE",
	// terminating "NULL" instead of "NUMBER_OF_OBJECT_IDs",
	// do not remove this, it might be important for some
	// routines (e.g. of SettingDataBase), that expect the
	// string list being terminated with a NULL string.
	0x00
};

/**********************************************************/

// string-IDs of the weapons
// The order must be identical to the one of the corresponding
// enumeration constants in constants.hpp
const char* const WeaponIDString[NUMBER_OF_WEAPON_IDs+1] =
{
	"SHOTGUN",
	"UZI",
	"RUBBERGUN",
	"GRENADE",
	"MINE",
	"MISSILE",
	"HOMING_MISSILE",
	"ZAPPER",
	"HOOK",
	// terminating "NULL"
	0x00
};

/**********************************************************/
