/* $Id: stationarygun.hpp,v 1.1 2005/05/11 11:36:02 uwe Exp $ */

#ifndef  _STATIONARYGUN_HPP_
#define  _STATIONARYGUN_HPP_

/**********************************************************/

#include  "attachableobject.hpp"
#include  "map.hpp"

/**********************************************************/

//! base class for stationary weapons
class StationaryGun : public AttachableObject
{
	public:

		StationaryGun();
		virtual ~StationaryGun();

		//! \name we need an army of super virile men scoring 'round the clock
		//@{
		//!
		virtual IntVector& getCheckPoint() = 0;
		//!
		virtual Sint32 getFlagPatternSequence() = 0;
		//!
		virtual Sint32 getFlagPatternFrame() = 0;
		//@}

		virtual bool initialize( const Sint32 X,
		                         const Sint32 Y );

		virtual void update();

		

	protected:

		virtual bool findInitialPosition( const Sint32 X,
		                                  const Sint32 Y );

		virtual bool placeInMap( ServerMap& map );

		enum State { FREE = 0,
		             OCCUPIED,
		             NUM_STATES };

		State m_State;
};

/**********************************************************/

#endif // _STATIONARYGUN_HPP_
