/* $Id: weaponhomingmissile.cpp,v 1.1 2004/08/16 07:03:01 uwe Exp $ */

#include "weaponhomingmissile.hpp"
#include "world.hpp"
#include "avatar.hpp"

/**********************************************************/

bool WeaponHomingMissile::
reallyShoot( World* world, Avatar* avatar ) const
{
	// place missile
	HomingMissile* const homing =
	dynamic_cast<HomingMissile*>( world->newObject( HOMING_MISSILE ));

	return homing->initialize(
	       // initial position of the missile
	       avatar->placeBesideCollRect(   homing->getCollRectX()
	                                    + homing->getCollRectWidth() - 1,
	                                     -homing->getCollRectX(),
	                                      homing->getCollRectY()
	                                    + homing->getCollRectHeight() - 1,
	                                     -homing->getCollRectY() ),
	       // initial speed
	       avatar->getRandomizedAimingVector( 2 ) + avatar->getSpeed(),
	       // owner
	       avatar->getPlayer()->getPlayerID(),
	       // number of shrapnels, damage
	       200, 25,
	       // initial thrust
	       avatar->getRandomizedAimingVector( 2, 1.3 ) );
}

/**********************************************************/
