/* $Id: weaponhook.hpp,v 1.3 2004/07/12 07:40:38 pohlt Exp $ */

#ifndef _WEAPONHOOK_HPP_
#define _WEAPONHOOK_HPP_

#include "weapon.hpp"
#include "hook.hpp"
#include "audio.hpp"

class WeaponHook : public Weapon {
	public:
		WeaponHook() {
			rechargeNow();
			m_shotSample = Audio::getInstance()->loadSound( "sound/weapons/hook/shoot.wav" );
			Hook::m_attachSample = Audio::getInstance()->loadSound( "sound/weapons/hook/hit.wav" );
			Hook::m_damageSample = Audio::getInstance()->loadSound( "sound/effects/ricochet.wav" );
		}

		virtual bool reallyShoot( World* world, Avatar* avatar ) const ;
		
		virtual Uint32 getMaximumAmmo() const {
			return 3;
		}
		virtual Uint32 getReloadTime() const {
			return 20;
		}
		virtual Uint32 getChargeTime() const {
			return 100;
		}
};

#endif // _WEAPONMISSILE_HPP_
